# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/HomeDir.pm) perl(File/Remove.pm) perl(File/ShareDir.pm) perl(File/Spec.pm) perl(File/Spec/Functions.pm) perl(File/UserConfig.pm) perl(FileHandle.pm) perl(Getopt/Long.pm) perl(JSAN/Client.pm) perl(JSAN/Index.pm) perl(JSON.pm) perl(LWP/Online.pm) perl(LWP/Simple.pm) perl(Mirror/JSON.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Params/Util.pm) perl(Parse/CPAN/Meta.pm) perl(Socket.pm) perl(Term/ReadLine.pm) perl(Term/ReadLine/Perl.pm) perl(Test/More.pm) perl(Test/Script.pm) perl(YAML/Tiny.pm) perl(inc/Module/Install.pm) perl(inc/Module/Install/DSL.pm)
# END SourceDeps(oneline)
%define module_version 2.04
%define module_name JSAN-Shell
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.04
Release: alt1
Summary: JavaScript Archive Network Client Shell
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/A/AD/ADAMK/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
`JSAN::Shell' provides command handling and dispatch for the the jsan manpage
user application. It interprates these commands and provides the
appropriate instructions to the the JSAN::Client manpage and the JSAN::Transport manpage
APIs to download and install JSAN modules.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/J*
%perl_vendor_privlib/auto/*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Tue Oct 15 2013 Igor Vlasenko <viy@altlinux.ru> 2.04-alt1
- initial import by package builder

